﻿@using SCHOOL_MANAGEMENT_SYSTEM.Models
@model LoginViewModel
@{
    ViewBag.Title = "Log in";
    Layout = null;
}

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <style>
        body, html {
            height: 100%;
            width: 100%;
            margin: 0;
        }

        /*.hero-image {
            background-image: url("../../Images/background.jpg");
            height: 100%;
            width: 95%;
            margin: 0;
            background-position: center;
            background-repeat: no-repeat;
            background-size: cover;
            opacity: 0.5;
        }*/
/*        #GFG {
            height: 100%;
            display: flex;
            align-items: center;
            justify-content: center;
        }*/

        #GFG::before {
            content: "";
            position: absolute;
            top: 0px;
            right: 0px;
            bottom: 0px;
            left: 0px;
            background-image: url("../../Images/R.jpeg");
            background-size: cover;
            opacity: 0.4;
        }
    </style>
</head>
<body >
    <div id="GFG">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
                <div class="panel panel-primary" style="margin-top:20%;border-radius:25px">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-6">
                                <img src="~/Images/RL_LOGO.png" style="margin-top:15px" width="300" height="250"/>
                            </div>
                            <div class="col-md-6">
                                <section id="loginForm">
                                    @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                                    {
                                        <h3 class="" style="text-align:center;font-weight:bold">Login</h3>
                                        @Html.AntiForgeryToken()
                                        <div class="form-group">
                                            <div class="col-md-12">
                                                @Html.LabelFor(m => m.Email)
                                                @Html.TextBoxFor(m => m.Email, new { @class = "form-control input-sm" })
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-md-12">
                                                @Html.LabelFor(m => m.Password)
                                                @Html.PasswordFor(m => m.Password, new { @class = "form-control input-sm" })
                                            </div>
                                        </div>
                                        @*<div class="form-group">
                                            <div class="col-md-12">
                                                @Html.LabelFor(m => m.ConfirmPassword)
                                                @Html.PasswordFor(m => m.ConfirmPassword, new { @class = "form-control", @placeholder = "Confirm password" })
                                            </div>
                                        </div>*@
                                                            @*<div class="form-group">
                                            <div class="col-md-12">
                                                <label for="loginPassword">SecurityCode</label>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="input-group">
                                                    <span style="padding: 0;" class="input-group-addon"><img alt="" src="~/Account/captcha" /></span>
                                                    @Html.TextBoxFor(model => model.SecurityCode, new { @autofocus = "autofocus", @class = "form-control focus", @placeholder = "Enter the security code" })
                                                </div>
                                            </div>
                                        </div>*@
                                        <div class="form-group">
                                            <div class="col-md-12">

                                                <input type="submit" value="Log in" class="btn btn-primary btn-block btn-sm" />
                                            </div>
                                        </div>
                                        <div class="form-group text-center">
                                            @Html.ActionLink("Forgot your password?", "ForgotPassword")
                                        </div>
                                    }
                                </section>
                            </div>
                        </div>
                    
                    </div>
                </div>
            </div>
        </div>
    </div>
    @Scripts.Render("~/bundles/lib")
</body>
</html>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}